Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.2.52.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
30.2.52.0
Broadcast address
30.2.55.255
First usable
30.2.52.1
Last usable
30.2.55.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E023400 · Integer 503460864 to 503461887
Reverse DNS zones
52.2.30.in-addr.arpa
53.2.30.in-addr.arpa
54.2.30.in-addr.arpa
55.2.30.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000010.00110100.0000000030.2.52.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011110.00000010.00110100.0000000030.2.52.0
Broadcast00011110.00000010.00110111.1111111130.2.55.255
Split into smaller subnets/29

30.2.52.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.2.52.0/2930.2.52.1 to 30.2.52.630.2.52.76
230.2.52.8/2930.2.52.9 to 30.2.52.1430.2.52.156
330.2.52.16/2930.2.52.17 to 30.2.52.2230.2.52.236
430.2.52.24/2930.2.52.25 to 30.2.52.3030.2.52.316
530.2.52.32/2930.2.52.33 to 30.2.52.3830.2.52.396
630.2.52.40/2930.2.52.41 to 30.2.52.4630.2.52.476
730.2.52.48/2930.2.52.49 to 30.2.52.5430.2.52.556
830.2.52.56/2930.2.52.57 to 30.2.52.6230.2.52.636
930.2.52.64/2930.2.52.65 to 30.2.52.7030.2.52.716
1030.2.52.72/2930.2.52.73 to 30.2.52.7830.2.52.796
1130.2.52.80/2930.2.52.81 to 30.2.52.8630.2.52.876
1230.2.52.88/2930.2.52.89 to 30.2.52.9430.2.52.956
1330.2.52.96/2930.2.52.97 to 30.2.52.10230.2.52.1036
1430.2.52.104/2930.2.52.105 to 30.2.52.11030.2.52.1116
1530.2.52.112/2930.2.52.113 to 30.2.52.11830.2.52.1196
1630.2.52.120/2930.2.52.121 to 30.2.52.12630.2.52.1276
1730.2.52.128/2930.2.52.129 to 30.2.52.13430.2.52.1356
1830.2.52.136/2930.2.52.137 to 30.2.52.14230.2.52.1436
1930.2.52.144/2930.2.52.145 to 30.2.52.15030.2.52.1516
2030.2.52.152/2930.2.52.153 to 30.2.52.15830.2.52.1596
2130.2.52.160/2930.2.52.161 to 30.2.52.16630.2.52.1676
2230.2.52.168/2930.2.52.169 to 30.2.52.17430.2.52.1756
2330.2.52.176/2930.2.52.177 to 30.2.52.18230.2.52.1836
2430.2.52.184/2930.2.52.185 to 30.2.52.19030.2.52.1916
2530.2.52.192/2930.2.52.193 to 30.2.52.19830.2.52.1996
2630.2.52.200/2930.2.52.201 to 30.2.52.20630.2.52.2076
2730.2.52.208/2930.2.52.209 to 30.2.52.21430.2.52.2156
2830.2.52.216/2930.2.52.217 to 30.2.52.22230.2.52.2236
2930.2.52.224/2930.2.52.225 to 30.2.52.23030.2.52.2316
3030.2.52.232/2930.2.52.233 to 30.2.52.23830.2.52.2396
3130.2.52.240/2930.2.52.241 to 30.2.52.24630.2.52.2476
3230.2.52.248/2930.2.52.249 to 30.2.52.25430.2.52.2556
3330.2.53.0/2930.2.53.1 to 30.2.53.630.2.53.76
3430.2.53.8/2930.2.53.9 to 30.2.53.1430.2.53.156
3530.2.53.16/2930.2.53.17 to 30.2.53.2230.2.53.236
3630.2.53.24/2930.2.53.25 to 30.2.53.3030.2.53.316
3730.2.53.32/2930.2.53.33 to 30.2.53.3830.2.53.396
3830.2.53.40/2930.2.53.41 to 30.2.53.4630.2.53.476
3930.2.53.48/2930.2.53.49 to 30.2.53.5430.2.53.556
4030.2.53.56/2930.2.53.57 to 30.2.53.6230.2.53.636
4130.2.53.64/2930.2.53.65 to 30.2.53.7030.2.53.716
4230.2.53.72/2930.2.53.73 to 30.2.53.7830.2.53.796
4330.2.53.80/2930.2.53.81 to 30.2.53.8630.2.53.876
4430.2.53.88/2930.2.53.89 to 30.2.53.9430.2.53.956
4530.2.53.96/2930.2.53.97 to 30.2.53.10230.2.53.1036
4630.2.53.104/2930.2.53.105 to 30.2.53.11030.2.53.1116
4730.2.53.112/2930.2.53.113 to 30.2.53.11830.2.53.1196
4830.2.53.120/2930.2.53.121 to 30.2.53.12630.2.53.1276
4930.2.53.128/2930.2.53.129 to 30.2.53.13430.2.53.1356
5030.2.53.136/2930.2.53.137 to 30.2.53.14230.2.53.1436
5130.2.53.144/2930.2.53.145 to 30.2.53.15030.2.53.1516
5230.2.53.152/2930.2.53.153 to 30.2.53.15830.2.53.1596
5330.2.53.160/2930.2.53.161 to 30.2.53.16630.2.53.1676
5430.2.53.168/2930.2.53.169 to 30.2.53.17430.2.53.1756
5530.2.53.176/2930.2.53.177 to 30.2.53.18230.2.53.1836
5630.2.53.184/2930.2.53.185 to 30.2.53.19030.2.53.1916
5730.2.53.192/2930.2.53.193 to 30.2.53.19830.2.53.1996
5830.2.53.200/2930.2.53.201 to 30.2.53.20630.2.53.2076
5930.2.53.208/2930.2.53.209 to 30.2.53.21430.2.53.2156
6030.2.53.216/2930.2.53.217 to 30.2.53.22230.2.53.2236
6130.2.53.224/2930.2.53.225 to 30.2.53.23030.2.53.2316
6230.2.53.232/2930.2.53.233 to 30.2.53.23830.2.53.2396
6330.2.53.240/2930.2.53.241 to 30.2.53.24630.2.53.2476
6430.2.53.248/2930.2.53.249 to 30.2.53.25430.2.53.2556
6530.2.54.0/2930.2.54.1 to 30.2.54.630.2.54.76
6630.2.54.8/2930.2.54.9 to 30.2.54.1430.2.54.156
6730.2.54.16/2930.2.54.17 to 30.2.54.2230.2.54.236
6830.2.54.24/2930.2.54.25 to 30.2.54.3030.2.54.316
6930.2.54.32/2930.2.54.33 to 30.2.54.3830.2.54.396
7030.2.54.40/2930.2.54.41 to 30.2.54.4630.2.54.476
7130.2.54.48/2930.2.54.49 to 30.2.54.5430.2.54.556
7230.2.54.56/2930.2.54.57 to 30.2.54.6230.2.54.636
7330.2.54.64/2930.2.54.65 to 30.2.54.7030.2.54.716
7430.2.54.72/2930.2.54.73 to 30.2.54.7830.2.54.796
7530.2.54.80/2930.2.54.81 to 30.2.54.8630.2.54.876
7630.2.54.88/2930.2.54.89 to 30.2.54.9430.2.54.956
7730.2.54.96/2930.2.54.97 to 30.2.54.10230.2.54.1036
7830.2.54.104/2930.2.54.105 to 30.2.54.11030.2.54.1116
7930.2.54.112/2930.2.54.113 to 30.2.54.11830.2.54.1196
8030.2.54.120/2930.2.54.121 to 30.2.54.12630.2.54.1276
8130.2.54.128/2930.2.54.129 to 30.2.54.13430.2.54.1356
8230.2.54.136/2930.2.54.137 to 30.2.54.14230.2.54.1436
8330.2.54.144/2930.2.54.145 to 30.2.54.15030.2.54.1516
8430.2.54.152/2930.2.54.153 to 30.2.54.15830.2.54.1596
8530.2.54.160/2930.2.54.161 to 30.2.54.16630.2.54.1676
8630.2.54.168/2930.2.54.169 to 30.2.54.17430.2.54.1756
8730.2.54.176/2930.2.54.177 to 30.2.54.18230.2.54.1836
8830.2.54.184/2930.2.54.185 to 30.2.54.19030.2.54.1916
8930.2.54.192/2930.2.54.193 to 30.2.54.19830.2.54.1996
9030.2.54.200/2930.2.54.201 to 30.2.54.20630.2.54.2076
9130.2.54.208/2930.2.54.209 to 30.2.54.21430.2.54.2156
9230.2.54.216/2930.2.54.217 to 30.2.54.22230.2.54.2236
9330.2.54.224/2930.2.54.225 to 30.2.54.23030.2.54.2316
9430.2.54.232/2930.2.54.233 to 30.2.54.23830.2.54.2396
9530.2.54.240/2930.2.54.241 to 30.2.54.24630.2.54.2476
9630.2.54.248/2930.2.54.249 to 30.2.54.25430.2.54.2556
9730.2.55.0/2930.2.55.1 to 30.2.55.630.2.55.76
9830.2.55.8/2930.2.55.9 to 30.2.55.1430.2.55.156
9930.2.55.16/2930.2.55.17 to 30.2.55.2230.2.55.236
10030.2.55.24/2930.2.55.25 to 30.2.55.3030.2.55.316
10130.2.55.32/2930.2.55.33 to 30.2.55.3830.2.55.396
10230.2.55.40/2930.2.55.41 to 30.2.55.4630.2.55.476
10330.2.55.48/2930.2.55.49 to 30.2.55.5430.2.55.556
10430.2.55.56/2930.2.55.57 to 30.2.55.6230.2.55.636
10530.2.55.64/2930.2.55.65 to 30.2.55.7030.2.55.716
10630.2.55.72/2930.2.55.73 to 30.2.55.7830.2.55.796
10730.2.55.80/2930.2.55.81 to 30.2.55.8630.2.55.876
10830.2.55.88/2930.2.55.89 to 30.2.55.9430.2.55.956
10930.2.55.96/2930.2.55.97 to 30.2.55.10230.2.55.1036
11030.2.55.104/2930.2.55.105 to 30.2.55.11030.2.55.1116
11130.2.55.112/2930.2.55.113 to 30.2.55.11830.2.55.1196
11230.2.55.120/2930.2.55.121 to 30.2.55.12630.2.55.1276
11330.2.55.128/2930.2.55.129 to 30.2.55.13430.2.55.1356
11430.2.55.136/2930.2.55.137 to 30.2.55.14230.2.55.1436
11530.2.55.144/2930.2.55.145 to 30.2.55.15030.2.55.1516
11630.2.55.152/2930.2.55.153 to 30.2.55.15830.2.55.1596
11730.2.55.160/2930.2.55.161 to 30.2.55.16630.2.55.1676
11830.2.55.168/2930.2.55.169 to 30.2.55.17430.2.55.1756
11930.2.55.176/2930.2.55.177 to 30.2.55.18230.2.55.1836
12030.2.55.184/2930.2.55.185 to 30.2.55.19030.2.55.1916
12130.2.55.192/2930.2.55.193 to 30.2.55.19830.2.55.1996
12230.2.55.200/2930.2.55.201 to 30.2.55.20630.2.55.2076
12330.2.55.208/2930.2.55.209 to 30.2.55.21430.2.55.2156
12430.2.55.216/2930.2.55.217 to 30.2.55.22230.2.55.2236
12530.2.55.224/2930.2.55.225 to 30.2.55.23030.2.55.2316
12630.2.55.232/2930.2.55.233 to 30.2.55.23830.2.55.2396
12730.2.55.240/2930.2.55.241 to 30.2.55.24630.2.55.2476
12830.2.55.248/2930.2.55.249 to 30.2.55.25430.2.55.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses